import 'package:fastyle_dart/fastyle_dart.dart';
import 'package:fastyle_exchanges/fastyle_exchanges.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return FastApp(
      lightTheme: FastTheme.light.indigo,
      darkTheme: FastTheme.dark.indigo,
      home: FastExchangeHomePage(
        titleText: 'Welcome!',
        subtitleText: 'Have a wonderful day!',
        contentPadding: kFastEdgeInsets16,
        children: [FastBody(text: 'Body')],
        leading: Icon(Icons.settings),
        actions: [Icon(Icons.search)],
        floatingActionButton: Icon(Icons.settings),
        appBarExpandedHeight: 250,
      ),
    );
  }
}
